Package Details: pnmixer 0.7.2-1

Git Clone URL: https://aur.archlinux.org/pnmixer.git (read-only)
Package Base: pnmixer
Description: GTK volume mixer applet that runs in the system tray.
Upstream URL: https://github.com/nicklan/pnmixer
Licenses: GPL
Submitter: nickl
Maintainer: bidulock
Last Packager: bidulock
Votes: 134
Popularity: 0.188769
First Submitted: 2011-05-10 13:10
Last Updated: 2017-07-03 22:48

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 Next › Last »

SilverRainZ commented on 2015-10-26 11:30

why use gtk2? here is a packeage named pnmxier-gtk2 now~
https://aur.archlinux.org/packages/pnmixer-gtk2

Anonymous comment on 2015-01-26 20:22

I am new to Arch but I patched the PKGBUILD and was able to install pnmixer.

From 4eacc4d2d785869944f4fb17275c077058fc80b2 Mon Sep 17 00:00:00 2001
From: Jeff Horn <jeff@everlook.net>
Date: Mon, 26 Jan 2015 12:11:31 -0800
Subject: [PATCH] Add package function

Signed-off-by: Jeff Horn <jeff@everlook.net>
---
PKGBUILD | 9 ++++++++-
1 file changed, 8 insertions(+), 1 deletion(-)

diff --git a/PKGBUILD b/PKGBUILD
index a7a9e75..422be91 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -20,5 +20,12 @@ build() {
./autogen.sh || return 1
./configure --prefix=/usr || return 1
make || return 1
- make DESTDIR="$pkgdir" install || return 1
+
+}
+
+package()
+{
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ make DESTDIR="$pkgdir" install || return 1
+
}
--
2.2.2

agent0 commented on 2015-01-16 16:57

Missing package() function. Unable to build.

bidulock commented on 2013-04-11 14:47

PKGBUILD must be split into build() and package() to build with makepkg 4.1

Hamish commented on 2013-03-15 00:08

Grabbed it now. Thanks. :)

nickl commented on 2013-03-06 09:57

Again, sorry about the delay, and thanks for the patch, it's applied and builds now. The configure script will be fixed in the next version of pnmixer.

Hamish commented on 2013-03-03 20:19

Not trying to be a jerk, but that delay just got longer. Just saying.

hazard commented on 2013-02-22 04:40

@nickl,
If you need some help updating your code to comply with automake1.13+ let me know. This is a good reference in the mean time: http://www.flameeyes.eu/autotools-mythbuster/forwardporting/automake.html

@gtmanfred,
I'd like to say I don't appreciate your action of deleting my _temporary_ package. Comments containing PKGBUILDs do not get pulled in by package managers. Why do we use package managers? To automate. There are far too many broken packages in AUR that require use of patches in comments. Compliance results in stagnation and the problem is never resolved.

nickl commented on 2013-02-18 20:15

Hi all,

Very sorry about the delay in getting this fixed. Will get it sorted tomorrow, and thanks so much for the patches!

Hamish commented on 2013-02-18 19:04

Still waiting on this to be fixed.